---
title: "Kijiji API: Search | Perceptlayer"
description: "Search from Kijiji as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/kijiji/search
---

[APIs](https://perceptlayer.com/apis) / [Kijiji](https://perceptlayer.com/apis/kijiji) / Search

# Kijiji: Search

Search from Kijiji as JSON. 1 credit per successful call.

GET `/v1/kijiji/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `q` | string | Optional | Up to 100 characters |
| `category_id` | integer | Optional | Any |
| `location_id` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `sort` | string | Optional | date\_desc, date\_asc, price\_asc, price\_desc, match |
| `min_price` | integer | Optional | Any |
| `max_price` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/kijiji/search" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/kijiji?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
